Subject: Re: Vlan interface nuisance

From: Jarek Poplawski <[email-masked]>
Date: Mon, 2 Mar 2009 23:30:11 +0100

On Mon, Mar 02, 2009 at 10:49:18PM +0100, Patrick McHardy wrote:
> Jarek Poplawski wrote:
>> Lennart Sorensen wrote, On 03/02/2009 06:20 PM:
>>
>>> On Sun, Mar 01, 2009 at 08:47:31PM -0800, Stephen Hemminger wrote:
>>>> Why is interface created through netlink named 'vlan0' and
>>>> interface created through old vconfig called 'ethX.YY'.
>>>> Seems like the interface should be consistent.
>>> That does seem silly.
>>>
>>> ethX.YYYY told you which physical interface and which vlan number it was.
>>>
>>> vlan0 tells you nothing useful.
>>  
>>
>> Even if you have only one ethX?
>
> The binding is displayed when listing interfaces. This hole
> argument is silly, if you want a particular name, just specify
> it. The current naming schemes are entirely based on information
> that you have to specify anyways.

Just for the record, I don't agree with calling "this" argument silly
just like it was with "that" argument. Actually, I think they are
both so "right" that I've changed my mind and think it's great each
tool does it differently...

Jarek P.